Subject: Re: [patch -linus] regmap: REMAP_IRQ should select IRQ_DOMAIN itself

From: Mark Brown <[email-masked]>
Date: Thu, 24 May 2012 02:19:51 +0100

On Wed, May 23, 2012 at 05:36:38PM -0700, David Rientjes wrote:

> What's fragile is going around and adding "select IRQ_DOMAIN" to 
> everything that does "select REGMAP_IRQ".  So I removed that and just made 
> IRQ_DOMAIN select REGMAP_IRQ itself.

It's a different kind of fragility, things break immediately when you
add something new which is reasonably obvous as opposed to happening
at some other time due to a tooling issue and what I'm concerned about
avoiding.  In any case...

> So can this be merged or what's the issue?

...Linus already merged my alternative patch which does this with a
select..if which never seems to have these issues.

Your patch *should* work but due to past issues and the fact that I can
understand why they might occur (the semantic of select is "just enable
this" which doesn't pay too much attention to the target) I'd rather go
with this different approach.